develooper Front page | perl.perl5.build | Postings from January 2007

Re: make error when building perl-5.8.8 on HP-UX 11.11 on HP 9000/800

Thread Previous
From:
Nicholas Clark
Date:
January 10, 2007 05:30
Subject:
Re: make error when building perl-5.8.8 on HP-UX 11.11 on HP 9000/800
Message ID:
20070110114652.GA87412@plum.flirble.org
On Wed, Jan 10, 2007 at 08:45:35AM +0100, H.Merijn Brand wrote:

> Your problem might be GNU gcc-4.1.1, which has proven to not be ready for
> HP-UX. The only HP-UX release where 4.1.1 works reliable is 11.23 (11iv2)
> on Itanium2. For 11.11 (11iv1) and below I would advice to use gcc-3.4.6.
> 
> Further, you have not installed *any* patch bundle after the June 2004
> Hardware enablement patches, so your development environment is probably
> rather outdated and busted.


Aha:

On Tue, Jan 09, 2007 at 10:02:34PM +0000, Nicholas Clark wrote:

> Is this error consistent with the C compiler suddenly deciding to go into
> K&R mode for symbol concatenation?


Also, you should have mailed perlbug@perl.org, not perl5-build@perl.org
with this. (I've cc'd the correct list that that gets through to)

It's mentioned in the first paragraph of the file INSTALL.

Nicholas Clark


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About